<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | Anonymous Who's Online Block for Geeklog 1.3                              |
// |                                                                           |
// | A variation on Geeklog's Who's Online Block that does only show the       |
// | number of registered users to anonymous visitors. You need to log in to   |
// | see the names of the registered users.                                    |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2003 by Dirk Haun <dirk@haun-online.de>                     |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
// $Id: anon_whosonline.php,v 1.1.1.1 2003/06/01 08:39:42 dirk Exp $

// Installation
// ------------
// * Copy the function phpblock_anon_whosonline() into your lib-custom.php file
// * Go to the Admin's Block menu and select the Who's Online block
// * replace 'phpblock_whosonline' with 'phpblock_anon_whosonline'
// * Save the block
// That's it.

function phpblock_anon_whosonline()
{
    global $_CONF, $_TABLES, $LANG01, $_USER;

    if ($_USER['uid'] > 1) {
        // logged-in users will see the regular Who's Online block
        return phpblock_whosonline ();
    }

    $retval = '';

    $expire_time = time() - $_CONF['whosonline_threshold'];

    $result = DB_query ("SELECT DISTINCT {$_TABLES['sessions']}.uid FROM {$_TABLES['sessions']},{$_TABLES['users']} WHERE {$_TABLES['users']}.uid = {$_TABLES['sessions']}.uid AND start_time >= $expire_time AND {$_TABLES['sessions']}.uid <> 1");
    $numReg = DB_numRows ($result);

    $result = DB_query ("SELECT DISTINCT uid,remote_ip FROM {$_TABLES['sessions']} WHERE uid = 1");
    $numAnon = DB_numRows ($result);

    if ($numReg > 0) {
        $retval .= 'Registered Users: ' . $numReg . '<br>';
    }
    if ($numAnon > 0) {
        $retval .= $LANG01[41] . ': ' . $numAnon . '<br>';
    }

    return $retval;
}

?>
